<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Abstractions\**" />
	  <Compile Remove="Interfaces\**" />
	  <EmbeddedResource Remove="Abstractions\**" />
	  <EmbeddedResource Remove="Interfaces\**" />
	  <None Remove="Abstractions\**" />
	  <None Remove="Interfaces\**" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="JetBrains.Annotations" />
		<PackageReference Include="Mapster" />
		<PackageReference Include="Microsoft.Extensions.Caching.Memory" /> 
		<PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" />
		<PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" />
		<PackageReference Include="Microsoft.Extensions.Logging" />
		<PackageReference Include="Newtonsoft.Json" />
		<PackageReference Include="Serilog" />
		<PackageReference Include="System.Linq.Dynamic.Core" />
		<PackageReference Include="System.Text.Json" />
		<PackageReference Include="Volo.Abp.Core" />
		<PackageReference Include="Volo.Abp.Ddd.Domain" />
		<PackageReference Include="JiShe.ServicePro.Core" />
	</ItemGroup>

</Project>
